Data Studio

This service allows scripts to access and modify Data Studio
[Community
Connectors](https://developers.google.com/datastudio/connector/get-started).

## Classes

| Name | Brief description |
|---|---|
| `https://developers.google.com/apps-script/reference/data-studio/aggregation-type` | An enum that defines the aggregation types that can be set for a `https://developers.google.com/apps-script/reference/data-studio/field`. |
| `https://developers.google.com/apps-script/reference/data-studio/auth-type` | An enum that defines the authentication types that can be set for a connector. |
| `https://developers.google.com/apps-script/reference/data-studio/big-query-config` | A configuration object for a native BigQuery connector. |
| `https://developers.google.com/apps-script/reference/data-studio/big-query-parameter-type` | An enum that defines the BigQuery parameter types that you can set. |
| `https://developers.google.com/apps-script/reference/data-studio/checkbox` | Contains checkbox information for the config. |
| `https://developers.google.com/apps-script/reference/data-studio/community-connector` | CommunityConnector enables scripts to access builders and utilities to help with development of Community Connectors for Data Studio. |
| `https://developers.google.com/apps-script/reference/data-studio/config` | Contains the configuration entries for a connector. |
| `https://developers.google.com/apps-script/reference/data-studio/data-studio-app` | DataStudioApp allows scripts to interact with developer-oriented features for Data Studio. |
| `https://developers.google.com/apps-script/reference/data-studio/debug-error` | An error that is only visible to admins of the connector. |
| `https://developers.google.com/apps-script/reference/data-studio/field` | Contains field-related data. |
| `https://developers.google.com/apps-script/reference/data-studio/field-type` | An enum that defines the types that can be set for a `https://developers.google.com/apps-script/reference/data-studio/field`. |
| `https://developers.google.com/apps-script/reference/data-studio/fields` | Contains a set of `https://developers.google.com/apps-script/reference/data-studio/field`s for a community connector. |
| `https://developers.google.com/apps-script/reference/data-studio/get-auth-type-response` | Builder to create a `getAuthType()` response for your script project. |
| `https://developers.google.com/apps-script/reference/data-studio/get-data-response` | Builder to create a `getData()` response for your script project. |
| `https://developers.google.com/apps-script/reference/data-studio/get-schema-response` | Builder to create a `getSchema()` response for your script project. |
| `https://developers.google.com/apps-script/reference/data-studio/info` | Contains info data for the config. |
| `https://developers.google.com/apps-script/reference/data-studio/option-builder` | A builder for creating options for `https://developers.google.com/apps-script/reference/data-studio/select-single`s and `https://developers.google.com/apps-script/reference/data-studio/select-multiple`s. |
| `https://developers.google.com/apps-script/reference/data-studio/select-multiple` | Contains select multiple information for the config. |
| `https://developers.google.com/apps-script/reference/data-studio/select-single` | Contains select single information for the config. |
| `https://developers.google.com/apps-script/reference/data-studio/set-credentials-response` | Builder to create a `setCredentials()` response for your script project. |
| `https://developers.google.com/apps-script/reference/data-studio/text-area` | Contains text area information for the config. |
| `https://developers.google.com/apps-script/reference/data-studio/text-input` | Contains text input information for the config. |
| `https://developers.google.com/apps-script/reference/data-studio/user-error` | An error that is shown to users of the connector. |

## `https://developers.google.com/apps-script/reference/data-studio/aggregation-type`

### Properties

| Property | Type | Description |
|---|---|---|
| `AVG` | `Enum` | Average. |
| `COUNT` | `Enum` | Count. |
| `COUNT_DISTINCT` | `Enum` | Count Distinct. |
| `MAX` | `Enum` | Max. |
| `MIN` | `Enum` | Min. |
| `SUM` | `Enum` | Sum. |
| `AUTO` | `Enum` | Auto. |

## `https://developers.google.com/apps-script/reference/data-studio/auth-type`

### Properties

| Property | Type | Description |
|---|---|---|
| `NONE` | `Enum` | No authorization needed. |
| `OAUTH2` | `Enum` | OAuth2 authorization needed. |
| `USER_PASS` | `Enum` | Username and password credentials needed. |
| `PATH_USER_PASS` | `Enum` | Username, path, and password needed. |
| `PATH_KEY` | `Enum` | Path and key needed. |
| `KEY` | `Enum` | API Key or Token needed. |
| `USER_TOKEN` | `Enum` | Username and token needed. |

## `https://developers.google.com/apps-script/reference/data-studio/big-query-config`

### Methods

| Method | Return type | Brief description |
|---|---|---|
| `https://developers.google.com/apps-script/reference/data-studio/big-query-config#addQueryParameter(String,BigQueryParameterType,String)` | `https://developers.google.com/apps-script/reference/data-studio/big-query-config` | Adds a query parameter to this `https://developers.google.com/apps-script/reference/data-studio/big-query-config`. |
| `https://developers.google.com/apps-script/reference/data-studio/big-query-config#build()` | `Object` | Validates this object and returns it in the format needed by Data Studio. |
| `https://developers.google.com/apps-script/reference/data-studio/big-query-config#printJson()` | `String` | Prints the JSON representation of this object. |
| `https://developers.google.com/apps-script/reference/data-studio/big-query-config#setAccessToken(String)` | `https://developers.google.com/apps-script/reference/data-studio/big-query-config` | Sets the access token of this `https://developers.google.com/apps-script/reference/data-studio/big-query-config`. |
| `https://developers.google.com/apps-script/reference/data-studio/big-query-config#setBillingProjectId(String)` | `https://developers.google.com/apps-script/reference/data-studio/big-query-config` | Sets the billing project ID of this `https://developers.google.com/apps-script/reference/data-studio/big-query-config`. |
| `https://developers.google.com/apps-script/reference/data-studio/big-query-config#setQuery(String)` | `https://developers.google.com/apps-script/reference/data-studio/big-query-config` | Sets the SQL query of this `https://developers.google.com/apps-script/reference/data-studio/big-query-config`. |
| `https://developers.google.com/apps-script/reference/data-studio/big-query-config#setUseStandardSql(Boolean)` | `https://developers.google.com/apps-script/reference/data-studio/big-query-config` | Determines if the query is interpreted as standard or legacy SQL. |

## `https://developers.google.com/apps-script/reference/data-studio/big-query-parameter-type`

### Properties

| Property | Type | Description |
|---|---|---|
| `STRING` | `Enum` | String. |
| `INT64` | `Enum` | 64-bit integer. |
| `BOOL` | `Enum` | Boolean. |
| `FLOAT64` | `Enum` | 64-bit floating point number. |

## `https://developers.google.com/apps-script/reference/data-studio/checkbox`

### Methods

| Method | Return type | Brief description |
|---|---|---|
| `https://developers.google.com/apps-script/reference/data-studio/checkbox#setAllowOverride(Boolean)` | `https://developers.google.com/apps-script/reference/data-studio/checkbox` | Enables overriding for this config entry. |
| `https://developers.google.com/apps-script/reference/data-studio/checkbox#setHelpText(String)` | `https://developers.google.com/apps-script/reference/data-studio/checkbox` | Sets the help text for this configuration entry. |
| `https://developers.google.com/apps-script/reference/data-studio/checkbox#setId(String)` | `https://developers.google.com/apps-script/reference/data-studio/checkbox` | Sets the unique ID for this configuration entry. |
| `https://developers.google.com/apps-script/reference/data-studio/checkbox#setIsDynamic(Boolean)` | `https://developers.google.com/apps-script/reference/data-studio/checkbox` | Sets the dynamic status for this configuration entry. |
| `https://developers.google.com/apps-script/reference/data-studio/checkbox#setName(String)` | `https://developers.google.com/apps-script/reference/data-studio/checkbox` | Sets the display name for this configuration entry. |

## `https://developers.google.com/apps-script/reference/data-studio/community-connector`

### Properties

| Property | Type | Description |
|---|---|---|
| `AggregationType` | `https://developers.google.com/apps-script/reference/data-studio/aggregation-type` | The `https://developers.google.com/apps-script/reference/data-studio/aggregation-type` enumeration. |
| `AuthType` | `https://developers.google.com/apps-script/reference/data-studio/auth-type` | The `https://developers.google.com/apps-script/reference/data-studio/auth-type` enumeration. |
| `BigQueryParameterType` | `https://developers.google.com/apps-script/reference/data-studio/big-query-parameter-type` | The `https://developers.google.com/apps-script/reference/data-studio/big-query-parameter-type` enumeration. |
| `FieldType` | `https://developers.google.com/apps-script/reference/data-studio/field-type` | The `https://developers.google.com/apps-script/reference/data-studio/field-type` enumeration. |

### Methods

| Method | Return type | Brief description |
|---|---|---|
| `https://developers.google.com/apps-script/reference/data-studio/community-connector#getConfig()` | `https://developers.google.com/apps-script/reference/data-studio/config` | Returns a `https://developers.google.com/apps-script/reference/data-studio/config` object. |
| `https://developers.google.com/apps-script/reference/data-studio/community-connector#getFields()` | `https://developers.google.com/apps-script/reference/data-studio/fields` | Returns a `https://developers.google.com/apps-script/reference/data-studio/fields` object. |
| `https://developers.google.com/apps-script/reference/data-studio/community-connector#newAuthTypeResponse()` | `https://developers.google.com/apps-script/reference/data-studio/get-auth-type-response` | Returns a new `https://developers.google.com/apps-script/reference/data-studio/get-auth-type-response` object. |
| `https://developers.google.com/apps-script/reference/data-studio/community-connector#newBigQueryConfig()` | `https://developers.google.com/apps-script/reference/data-studio/big-query-config` | Returns a new `https://developers.google.com/apps-script/reference/data-studio/big-query-config` object. |
| `https://developers.google.com/apps-script/reference/data-studio/community-connector#newDebugError()` | `https://developers.google.com/apps-script/reference/data-studio/debug-error` | Returns a new `https://developers.google.com/apps-script/reference/data-studio/debug-error` object. |
| `https://developers.google.com/apps-script/reference/data-studio/community-connector#newGetDataResponse()` | `https://developers.google.com/apps-script/reference/data-studio/get-data-response` | Returns a new `https://developers.google.com/apps-script/reference/data-studio/get-data-response` object. |
| `https://developers.google.com/apps-script/reference/data-studio/community-connector#newGetSchemaResponse()` | `https://developers.google.com/apps-script/reference/data-studio/get-schema-response` | Returns a new `https://developers.google.com/apps-script/reference/data-studio/get-schema-response` object. |
| `https://developers.google.com/apps-script/reference/data-studio/community-connector#newSetCredentialsResponse()` | `https://developers.google.com/apps-script/reference/data-studio/set-credentials-response` | Returns a new `https://developers.google.com/apps-script/reference/data-studio/set-credentials-response` object. |
| `https://developers.google.com/apps-script/reference/data-studio/community-connector#newUserError()` | `https://developers.google.com/apps-script/reference/data-studio/user-error` | Returns a new `https://developers.google.com/apps-script/reference/data-studio/user-error` object. |

## `https://developers.google.com/apps-script/reference/data-studio/config`

### Methods

| Method | Return type | Brief description |
|---|---|---|
| `https://developers.google.com/apps-script/reference/data-studio/config#build()` | `Object` | Validates this object and returns it in the format needed by Data Studio. |
| `https://developers.google.com/apps-script/reference/data-studio/config#newCheckbox()` | `https://developers.google.com/apps-script/reference/data-studio/checkbox` | Returns a new checkbox configuration entry. |
| `https://developers.google.com/apps-script/reference/data-studio/config#newInfo()` | `https://developers.google.com/apps-script/reference/data-studio/info` | Returns a new info configuration entry. |
| `https://developers.google.com/apps-script/reference/data-studio/config#newOptionBuilder()` | `https://developers.google.com/apps-script/reference/data-studio/option-builder` | Returns a new options builder. |
| `https://developers.google.com/apps-script/reference/data-studio/config#newSelectMultiple()` | `https://developers.google.com/apps-script/reference/data-studio/select-multiple` | Returns a new select multiple configuration entry. |
| `https://developers.google.com/apps-script/reference/data-studio/config#newSelectSingle()` | `https://developers.google.com/apps-script/reference/data-studio/select-single` | Returns a new select single configuration entry. |
| `https://developers.google.com/apps-script/reference/data-studio/config#newTextArea()` | `https://developers.google.com/apps-script/reference/data-studio/text-area` | Returns a new text area configuration entry. |
| `https://developers.google.com/apps-script/reference/data-studio/config#newTextInput()` | `https://developers.google.com/apps-script/reference/data-studio/text-input` | Returns a new text input configuration entry. |
| `https://developers.google.com/apps-script/reference/data-studio/config#printJson()` | `String` | Prints the JSON representation of this object. |
| `https://developers.google.com/apps-script/reference/data-studio/config#setDateRangeRequired(Boolean)` | `https://developers.google.com/apps-script/reference/data-studio/config` | If `true`, a date range is provided for getData() requests. |
| `https://developers.google.com/apps-script/reference/data-studio/config#setIsSteppedConfig(Boolean)` | `https://developers.google.com/apps-script/reference/data-studio/config` | If `true`, `getConfig()` is called again with the current user configuration. |

## `https://developers.google.com/apps-script/reference/data-studio/data-studio-app`

### Methods

| Method | Return type | Brief description |
|---|---|---|
| `https://developers.google.com/apps-script/reference/data-studio/data-studio-app#createCommunityConnector()` | `https://developers.google.com/apps-script/reference/data-studio/community-connector` | Creates a new Community Connector. |

## `https://developers.google.com/apps-script/reference/data-studio/debug-error`

### Methods

| Method | Return type | Brief description |
|---|---|---|
| `https://developers.google.com/apps-script/reference/data-studio/debug-error#printJson()` | `String` | Prints the JSON representation of this object. |
| `https://developers.google.com/apps-script/reference/data-studio/debug-error#setText(String)` | `https://developers.google.com/apps-script/reference/data-studio/debug-error` | Sets the text of the debug error, which is only shown to admins. |
| `https://developers.google.com/apps-script/reference/data-studio/debug-error#throwException()` | `void` | Triggers this exception to be thrown. |

## `https://developers.google.com/apps-script/reference/data-studio/field`

### Methods

| Method | Return type | Brief description |
|---|---|---|
| `https://developers.google.com/apps-script/reference/data-studio/field#getAggregation()` | `https://developers.google.com/apps-script/reference/data-studio/aggregation-type` | Returns the `https://developers.google.com/apps-script/reference/data-studio/aggregation-type` of this `https://developers.google.com/apps-script/reference/data-studio/field`. |
| `https://developers.google.com/apps-script/reference/data-studio/field#getDescription()` | `String` | Returns the description of this `https://developers.google.com/apps-script/reference/data-studio/field`. |
| `https://developers.google.com/apps-script/reference/data-studio/field#getFormula()` | `String` | Returns the formula of this `https://developers.google.com/apps-script/reference/data-studio/field`. |
| `https://developers.google.com/apps-script/reference/data-studio/field#getGroup()` | `String` | Returns the group of this `https://developers.google.com/apps-script/reference/data-studio/field`. |
| `https://developers.google.com/apps-script/reference/data-studio/field#getId()` | `String` | Returns the ID of this `https://developers.google.com/apps-script/reference/data-studio/field`. |
| `https://developers.google.com/apps-script/reference/data-studio/field#getIsReaggregatable()` | `Boolean` | Returns `true` if this field can be reaggregated, `false` otherwise. |
| `https://developers.google.com/apps-script/reference/data-studio/field#getName()` | `String` | Returns the name of this `https://developers.google.com/apps-script/reference/data-studio/field`. |
| `https://developers.google.com/apps-script/reference/data-studio/field#getType()` | `https://developers.google.com/apps-script/reference/data-studio/field-type` | Returns the `https://developers.google.com/apps-script/reference/data-studio/field-type` of this `https://developers.google.com/apps-script/reference/data-studio/field`. |
| `https://developers.google.com/apps-script/reference/data-studio/field#isDefault()` | `Boolean` | Returns `true` if this `https://developers.google.com/apps-script/reference/data-studio/field` is the default metric or dimension. |
| `https://developers.google.com/apps-script/reference/data-studio/field#isDimension()` | `Boolean` | Returns `true` if this field is a dimension. |
| `https://developers.google.com/apps-script/reference/data-studio/field#isHidden()` | `Boolean` | Returns `true` if this `https://developers.google.com/apps-script/reference/data-studio/field` is hidden. |
| `https://developers.google.com/apps-script/reference/data-studio/field#isMetric()` | `Boolean` | Returns `true` if this field is a metric. |
| `https://developers.google.com/apps-script/reference/data-studio/field#setAggregation(AggregationType)` | `https://developers.google.com/apps-script/reference/data-studio/field` | Sets the aggregation type of this `https://developers.google.com/apps-script/reference/data-studio/field`. |
| `https://developers.google.com/apps-script/reference/data-studio/field#setDescription(String)` | `https://developers.google.com/apps-script/reference/data-studio/field` | Sets the description of this `https://developers.google.com/apps-script/reference/data-studio/field`. |
| `https://developers.google.com/apps-script/reference/data-studio/field#setFormula(String)` | `https://developers.google.com/apps-script/reference/data-studio/field` | Sets the formula of this `https://developers.google.com/apps-script/reference/data-studio/field`. |
| `https://developers.google.com/apps-script/reference/data-studio/field#setGroup(String)` | `https://developers.google.com/apps-script/reference/data-studio/field` | Sets the group of this `https://developers.google.com/apps-script/reference/data-studio/field`. |
| `https://developers.google.com/apps-script/reference/data-studio/field#setId(String)` | `https://developers.google.com/apps-script/reference/data-studio/field` | Sets the ID of this `https://developers.google.com/apps-script/reference/data-studio/field`. |
| `https://developers.google.com/apps-script/reference/data-studio/field#setIsHidden(Boolean)` | `https://developers.google.com/apps-script/reference/data-studio/field` | Sets the hidden status of this `https://developers.google.com/apps-script/reference/data-studio/field`. |
| `https://developers.google.com/apps-script/reference/data-studio/field#setIsReaggregatable(Boolean)` | `https://developers.google.com/apps-script/reference/data-studio/field` | Sets the reaggregation-permitted status for a `https://developers.google.com/apps-script/reference/data-studio/field`. |
| `https://developers.google.com/apps-script/reference/data-studio/field#setName(String)` | `https://developers.google.com/apps-script/reference/data-studio/field` | Sets the name of this `https://developers.google.com/apps-script/reference/data-studio/field`. |
| `https://developers.google.com/apps-script/reference/data-studio/field#setType(FieldType)` | `https://developers.google.com/apps-script/reference/data-studio/field` | Sets the `https://developers.google.com/apps-script/reference/data-studio/field-type` of this `https://developers.google.com/apps-script/reference/data-studio/field`. |

## `https://developers.google.com/apps-script/reference/data-studio/field-type`

### Properties

| Property | Type | Description |
|---|---|---|
| `YEAR` | `Enum` | Year in the format of YYYY such as 2017. |
| `YEAR_QUARTER` | `Enum` | Year and quarter in the format of YYYYQ such as 20171. |
| `YEAR_MONTH` | `Enum` | Year and month in the format of YYYYMM such as 201703. |
| `YEAR_WEEK` | `Enum` | Year and week in the format of YYYYww such as 201707. |
| `YEAR_MONTH_DAY` | `Enum` | Year, month, and day in the format of YYYYMMDD such as 20170317. |
| `YEAR_MONTH_DAY_HOUR` | `Enum` | Year, month, day, and hour in the format of YYYYMMDDHH such as 2017031703. |
| `YEAR_MONTH_DAY_MINUTE` | `Enum` | Year, month, day, hour, and minute in the format of YYYYMMDDHHmm such as 201703170230. |
| `YEAR_MONTH_DAY_SECOND` | `Enum` | Year, month, day, hour, minute, and second in the format of YYYYMMDDHHmmss such as 20170317023017. |
| `QUARTER` | `Enum` | Quarter in the format of 1, 2, 3, or 4). |
| `MONTH` | `Enum` | Month in the format of MM such as 03. |
| `WEEK` | `Enum` | Week in the format of ww such as 07. |
| `MONTH_DAY` | `Enum` | Month and day in the format of MMDD such as 0317. |
| `DAY_OF_WEEK` | `Enum` | A number in the range of \[0,6\] with 0 representing Sunday. |
| `DAY` | `Enum` | Day in the format of DD such as 17. |
| `HOUR` | `Enum` | Hour in the format of HH such as 13. |
| `MINUTE` | `Enum` | Minute in the format of mm such as 12. |
| `DURATION` | `Enum` | A duration of time in seconds. |
| `COUNTRY` | `Enum` | A country such as United States. |
| `COUNTRY_CODE` | `Enum` | A country code such as US. |
| `CONTINENT` | `Enum` | A continent such as Americas. |
| `CONTINENT_CODE` | `Enum` | A continent code such as 019. |
| `SUB_CONTINENT` | `Enum` | A sub-continent such as North America. |
| `SUB_CONTINENT_CODE` | `Enum` | A sub-continent code such as 003. |
| `REGION` | `Enum` | A region such as California. |
| `REGION_CODE` | `Enum` | A region code such as CA. |
| `CITY` | `Enum` | A city such as Mountain View. |
| `CITY_CODE` | `Enum` | A city code such as 1014044. |
| `METRO` | `Enum` | A metro such as San Francisco-Oakland-San Jose CA. |
| `METRO_CODE` | `Enum` | A metro code such as 200807. |
| `LATITUDE_LONGITUDE` | `Enum` | A latitude longitude pair such as 51.5074, -0.1278. |
| `NUMBER` | `Enum` | A decimal number. |
| `PERCENT` | `Enum` | Decimal percentage (can be over 1.0). |
| `TEXT` | `Enum` | Free-form text. |
| `BOOLEAN` | `Enum` | A `true` or `false` boolean value. |
| `URL` | `Enum` | A URL as text such as https://google.com. |
| `HYPERLINK` | `Enum` | A hyperlink. |
| `IMAGE` | `Enum` | An image. |
| `IMAGE_LINK` | `Enum` | An image link. |
| `CURRENCY_AED` | `Enum` | Currency from AED. |
| `CURRENCY_ALL` | `Enum` | Currency from ALL. |
| `CURRENCY_ARS` | `Enum` | Currency from ARS. |
| `CURRENCY_AUD` | `Enum` | Currency from AUD. |
| `CURRENCY_BDT` | `Enum` | Currency from BDT. |
| `CURRENCY_BGN` | `Enum` | Currency from BGN. |
| `CURRENCY_BOB` | `Enum` | Currency from BOB. |
| `CURRENCY_BRL` | `Enum` | Currency from BRL. |
| `CURRENCY_CAD` | `Enum` | Currency from CAD. |
| `CURRENCY_CDF` | `Enum` | Currency from CDF. |
| `CURRENCY_CHF` | `Enum` | Currency from CHF. |
| `CURRENCY_CLP` | `Enum` | Currency from CLP. |
| `CURRENCY_CNY` | `Enum` | Currency from CNY. |
| `CURRENCY_COP` | `Enum` | Currency from COP. |
| `CURRENCY_CRC` | `Enum` | Currency from CRC. |
| `CURRENCY_CZK` | `Enum` | Currency from CZK. |
| `CURRENCY_DKK` | `Enum` | Currency from DKK. |
| `CURRENCY_DOP` | `Enum` | Currency from DOP. |
| `CURRENCY_EGP` | `Enum` | Currency from EGP. |
| `CURRENCY_ETB` | `Enum` | Currency from ETB. |
| `CURRENCY_EUR` | `Enum` | Currency from EUR. |
| `CURRENCY_GBP` | `Enum` | Currency from GBP. |
| `CURRENCY_HKD` | `Enum` | Currency from HKD. |
| `CURRENCY_HRK` | `Enum` | Currency from HRK. |
| `CURRENCY_HUF` | `Enum` | Currency from HUF. |
| `CURRENCY_IDR` | `Enum` | Currency from IDR. |
| `CURRENCY_ILS` | `Enum` | Currency from ILS. |
| `CURRENCY_INR` | `Enum` | Currency from INR. |
| `CURRENCY_IRR` | `Enum` | Currency from IRR. |
| `CURRENCY_ISK` | `Enum` | Currency from ISK. |
| `CURRENCY_JMD` | `Enum` | Currency from JMD. |
| `CURRENCY_JPY` | `Enum` | Currency from JPY. |
| `CURRENCY_KRW` | `Enum` | Currency from KRW. |
| `CURRENCY_LKR` | `Enum` | Currency from LKR. |
| `CURRENCY_LTL` | `Enum` | Currency from LTL. |
| `CURRENCY_MNT` | `Enum` | Currency from MNT. |
| `CURRENCY_MVR` | `Enum` | Currency from MVR. |
| `CURRENCY_MXN` | `Enum` | Currency from MXN. |
| `CURRENCY_MYR` | `Enum` | Currency from MYR. |
| `CURRENCY_NGN` | `Enum` | Currency from NGN. |
| `CURRENCY_NOK` | `Enum` | Currency from NOK. |
| `CURRENCY_NZD` | `Enum` | Currency from NZD. |
| `CURRENCY_PAB` | `Enum` | Currency from PAB. |
| `CURRENCY_PEN` | `Enum` | Currency from PEN. |
| `CURRENCY_PHP` | `Enum` | Currency from PHP. |
| `CURRENCY_PKR` | `Enum` | Currency from PKR. |
| `CURRENCY_PLN` | `Enum` | Currency from PLN. |
| `CURRENCY_RON` | `Enum` | Currency from RON. |
| `CURRENCY_RSD` | `Enum` | Currency from RSD. |
| `CURRENCY_RUB` | `Enum` | Currency from RUB. |
| `CURRENCY_SAR` | `Enum` | Currency from SAR. |
| `CURRENCY_SEK` | `Enum` | Currency from SEK. |
| `CURRENCY_SGD` | `Enum` | Currency from SGD. |
| `CURRENCY_THB` | `Enum` | Currency from THB. |
| `CURRENCY_TRY` | `Enum` | Currency from TRY. |
| `CURRENCY_TWD` | `Enum` | Currency from TWD. |
| `CURRENCY_TZS` | `Enum` | Currency from TZS. |
| `CURRENCY_UAH` | `Enum` | Currency from UAH. |
| `CURRENCY_USD` | `Enum` | Currency from USD. |
| `CURRENCY_UYU` | `Enum` | Currency from UYU. |
| `CURRENCY_VEF` | `Enum` | Currency from VEF. |
| `CURRENCY_VND` | `Enum` | Currency from VND. |
| `CURRENCY_YER` | `Enum` | Currency from YER. |
| `CURRENCY_ZAR` | `Enum` | Currency from ZAR. |

## `https://developers.google.com/apps-script/reference/data-studio/fields`

### Methods

| Method | Return type | Brief description |
|---|---|---|
| `https://developers.google.com/apps-script/reference/data-studio/fields#asArray()` | `https://developers.google.com/apps-script/reference/data-studio/field` | Returns a view of this object as an array. |
| `https://developers.google.com/apps-script/reference/data-studio/fields#build()` | `Object[]` | Validates this object and returns it in the format needed by Data Studio. |
| `https://developers.google.com/apps-script/reference/data-studio/fields#forIds(String)` | `https://developers.google.com/apps-script/reference/data-studio/fields` | Returns a new `https://developers.google.com/apps-script/reference/data-studio/fields` object filtered to `https://developers.google.com/apps-script/reference/data-studio/field`s with an ID in `ids`. |
| `https://developers.google.com/apps-script/reference/data-studio/fields#getDefaultDimension()` | `https://developers.google.com/apps-script/reference/data-studio/field` | Returns the default dimension to be used for the set of fields. |
| `https://developers.google.com/apps-script/reference/data-studio/fields#getDefaultMetric()` | `https://developers.google.com/apps-script/reference/data-studio/field` | Returns the default metric to be used for the set of fields. |
| `https://developers.google.com/apps-script/reference/data-studio/fields#getFieldById(String)` | `https://developers.google.com/apps-script/reference/data-studio/field` | Returns a field with a given ID, or `null` if no field with that ID is in this `https://developers.google.com/apps-script/reference/data-studio/fields` object. |
| `https://developers.google.com/apps-script/reference/data-studio/fields#newDimension()` | `https://developers.google.com/apps-script/reference/data-studio/field` | Returns a new dimension `https://developers.google.com/apps-script/reference/data-studio/field`. |
| `https://developers.google.com/apps-script/reference/data-studio/fields#newMetric()` | `https://developers.google.com/apps-script/reference/data-studio/field` | Returns a new metric `https://developers.google.com/apps-script/reference/data-studio/field`. |
| `https://developers.google.com/apps-script/reference/data-studio/fields#setDefaultDimension(String)` | `void` | Sets the default dimension to be used for the set of fields. |
| `https://developers.google.com/apps-script/reference/data-studio/fields#setDefaultMetric(String)` | `void` | Sets the default metric to be used for the set of fields. |

## `https://developers.google.com/apps-script/reference/data-studio/get-auth-type-response`

### Methods

| Method | Return type | Brief description |
|---|---|---|
| `https://developers.google.com/apps-script/reference/data-studio/get-auth-type-response#build()` | `Object` | Validates this object and returns it in the format needed by Data Studio. |
| `https://developers.google.com/apps-script/reference/data-studio/get-auth-type-response#printJson()` | `String` | Prints the JSON representation of this object. |
| `https://developers.google.com/apps-script/reference/data-studio/get-auth-type-response#setAuthType(AuthType)` | `https://developers.google.com/apps-script/reference/data-studio/get-auth-type-response` | Sets the `https://developers.google.com/apps-script/reference/data-studio/auth-type` of the builder. |
| `https://developers.google.com/apps-script/reference/data-studio/get-auth-type-response#setHelpUrl(String)` | `https://developers.google.com/apps-script/reference/data-studio/get-auth-type-response` | Sets the help URL of the builder. |

## `https://developers.google.com/apps-script/reference/data-studio/get-data-response`

### Methods

| Method | Return type | Brief description |
|---|---|---|
| `https://developers.google.com/apps-script/reference/data-studio/get-data-response#addAllRows(String)` | `https://developers.google.com/apps-script/reference/data-studio/get-data-response` | Adds multiple rows of data to this `https://developers.google.com/apps-script/reference/data-studio/get-data-response`. |
| `https://developers.google.com/apps-script/reference/data-studio/get-data-response#addRow(String)` | `https://developers.google.com/apps-script/reference/data-studio/get-data-response` | Adds a row of data to this `https://developers.google.com/apps-script/reference/data-studio/get-data-response`. |
| `https://developers.google.com/apps-script/reference/data-studio/get-data-response#build()` | `Object` | Validates this object and returns it in the format needed by Data Studio. |
| `https://developers.google.com/apps-script/reference/data-studio/get-data-response#setFields(Fields)` | `https://developers.google.com/apps-script/reference/data-studio/get-data-response` | Sets the `https://developers.google.com/apps-script/reference/data-studio/fields` of the builder. |
| `https://developers.google.com/apps-script/reference/data-studio/get-data-response#setFiltersApplied(Boolean)` | `https://developers.google.com/apps-script/reference/data-studio/get-data-response` | Sets the filters applied status for this builder. |

## `https://developers.google.com/apps-script/reference/data-studio/get-schema-response`

### Methods

| Method | Return type | Brief description |
|---|---|---|
| `https://developers.google.com/apps-script/reference/data-studio/get-schema-response#build()` | `Object` | Validates this object and returns it in the format needed by Data Studio. |
| `https://developers.google.com/apps-script/reference/data-studio/get-schema-response#printJson()` | `String` | Prints the JSON representation of this object. |
| `https://developers.google.com/apps-script/reference/data-studio/get-schema-response#setFields(Fields)` | `https://developers.google.com/apps-script/reference/data-studio/get-schema-response` | Sets the `https://developers.google.com/apps-script/reference/data-studio/fields` of the builder. |

## `https://developers.google.com/apps-script/reference/data-studio/info`

### Methods

| Method | Return type | Brief description |
|---|---|---|
| `https://developers.google.com/apps-script/reference/data-studio/info#setId(String)` | `https://developers.google.com/apps-script/reference/data-studio/info` | Sets the unique ID for this configuration entry. |
| `https://developers.google.com/apps-script/reference/data-studio/info#setText(String)` | `https://developers.google.com/apps-script/reference/data-studio/info` | Sets the text for this configuration entry. |

## `https://developers.google.com/apps-script/reference/data-studio/option-builder`

### Methods

| Method | Return type | Brief description |
|---|---|---|
| `https://developers.google.com/apps-script/reference/data-studio/option-builder#setLabel(String)` | `https://developers.google.com/apps-script/reference/data-studio/option-builder` | Sets the label of this option builder. |
| `https://developers.google.com/apps-script/reference/data-studio/option-builder#setValue(String)` | `https://developers.google.com/apps-script/reference/data-studio/option-builder` | Sets the value of this option builder. |

## `https://developers.google.com/apps-script/reference/data-studio/select-multiple`

### Methods

| Method | Return type | Brief description |
|---|---|---|
| `https://developers.google.com/apps-script/reference/data-studio/select-multiple#addOption(OptionBuilder)` | `https://developers.google.com/apps-script/reference/data-studio/select-multiple` | Adds a new select option. |
| `https://developers.google.com/apps-script/reference/data-studio/select-multiple#setAllowOverride(Boolean)` | `https://developers.google.com/apps-script/reference/data-studio/select-multiple` | Enables overriding for this config entry. |
| `https://developers.google.com/apps-script/reference/data-studio/select-multiple#setHelpText(String)` | `https://developers.google.com/apps-script/reference/data-studio/select-multiple` | Sets the help text for this configuration entry. |
| `https://developers.google.com/apps-script/reference/data-studio/select-multiple#setId(String)` | `https://developers.google.com/apps-script/reference/data-studio/select-multiple` | Sets the unique ID for this configuration entry. |
| `https://developers.google.com/apps-script/reference/data-studio/select-multiple#setIsDynamic(Boolean)` | `https://developers.google.com/apps-script/reference/data-studio/select-multiple` | Sets the dynamic status for this configuration entry. |
| `https://developers.google.com/apps-script/reference/data-studio/select-multiple#setName(String)` | `https://developers.google.com/apps-script/reference/data-studio/select-multiple` | Sets the display name for this configuration entry. |

## `https://developers.google.com/apps-script/reference/data-studio/select-single`

### Methods

| Method | Return type | Brief description |
|---|---|---|
| `https://developers.google.com/apps-script/reference/data-studio/select-single#addOption(OptionBuilder)` | `https://developers.google.com/apps-script/reference/data-studio/select-single` | Adds a new select option. |
| `https://developers.google.com/apps-script/reference/data-studio/select-single#setAllowOverride(Boolean)` | `https://developers.google.com/apps-script/reference/data-studio/select-single` | Enables overriding for this config entry. |
| `https://developers.google.com/apps-script/reference/data-studio/select-single#setHelpText(String)` | `https://developers.google.com/apps-script/reference/data-studio/select-single` | Sets the help text for this configuration entry. |
| `https://developers.google.com/apps-script/reference/data-studio/select-single#setId(String)` | `https://developers.google.com/apps-script/reference/data-studio/select-single` | Sets the unique ID for this configuration entry. |
| `https://developers.google.com/apps-script/reference/data-studio/select-single#setIsDynamic(Boolean)` | `https://developers.google.com/apps-script/reference/data-studio/select-single` | Sets the dynamic status for this configuration entry. |
| `https://developers.google.com/apps-script/reference/data-studio/select-single#setName(String)` | `https://developers.google.com/apps-script/reference/data-studio/select-single` | Sets the display name for this configuration entry. |

## `https://developers.google.com/apps-script/reference/data-studio/set-credentials-response`

### Methods

| Method | Return type | Brief description |
|---|---|---|
| `https://developers.google.com/apps-script/reference/data-studio/set-credentials-response#build()` | `Object` | Validates this object and returns it in the format needed by Data Studio. |
| `https://developers.google.com/apps-script/reference/data-studio/set-credentials-response#printJson()` | `String` | Prints the JSON representation of this object. |
| `https://developers.google.com/apps-script/reference/data-studio/set-credentials-response#setIsValid(Boolean)` | `https://developers.google.com/apps-script/reference/data-studio/set-credentials-response` | Sets the valid status of this `https://developers.google.com/apps-script/reference/data-studio/set-credentials-response`. |

## `https://developers.google.com/apps-script/reference/data-studio/text-area`

### Methods

| Method | Return type | Brief description |
|---|---|---|
| `https://developers.google.com/apps-script/reference/data-studio/text-area#setAllowOverride(Boolean)` | `https://developers.google.com/apps-script/reference/data-studio/text-area` | Enables overriding for this config entry. |
| `https://developers.google.com/apps-script/reference/data-studio/text-area#setHelpText(String)` | `https://developers.google.com/apps-script/reference/data-studio/text-area` | Sets the help text for this configuration entry. |
| `https://developers.google.com/apps-script/reference/data-studio/text-area#setId(String)` | `https://developers.google.com/apps-script/reference/data-studio/text-area` | Sets the unique ID for this configuration entry. |
| `https://developers.google.com/apps-script/reference/data-studio/text-area#setIsDynamic(Boolean)` | `https://developers.google.com/apps-script/reference/data-studio/text-area` | Sets the dynamic status for this configuration entry. |
| `https://developers.google.com/apps-script/reference/data-studio/text-area#setName(String)` | `https://developers.google.com/apps-script/reference/data-studio/text-area` | Sets the display name for this configuration entry. |
| `https://developers.google.com/apps-script/reference/data-studio/text-area#setPlaceholder(String)` | `https://developers.google.com/apps-script/reference/data-studio/text-area` | Sets the placeholder text for this configuration entry. |

## `https://developers.google.com/apps-script/reference/data-studio/text-input`

### Methods

| Method | Return type | Brief description |
|---|---|---|
| `https://developers.google.com/apps-script/reference/data-studio/text-input#setAllowOverride(Boolean)` | `https://developers.google.com/apps-script/reference/data-studio/text-input` | Enables overriding for this config entry. |
| `https://developers.google.com/apps-script/reference/data-studio/text-input#setHelpText(String)` | `https://developers.google.com/apps-script/reference/data-studio/text-input` | Sets the help text for this configuration entry. |
| `https://developers.google.com/apps-script/reference/data-studio/text-input#setId(String)` | `https://developers.google.com/apps-script/reference/data-studio/text-input` | Sets the unique ID for this configuration entry. |
| `https://developers.google.com/apps-script/reference/data-studio/text-input#setIsDynamic(Boolean)` | `https://developers.google.com/apps-script/reference/data-studio/text-input` | Sets the dynamic status for this configuration entry. |
| `https://developers.google.com/apps-script/reference/data-studio/text-input#setName(String)` | `https://developers.google.com/apps-script/reference/data-studio/text-input` | Sets the display name for this configuration entry. |
| `https://developers.google.com/apps-script/reference/data-studio/text-input#setPlaceholder(String)` | `https://developers.google.com/apps-script/reference/data-studio/text-input` | Sets the placeholder text for this configuration entry. |

## `https://developers.google.com/apps-script/reference/data-studio/user-error`

### Methods

| Method | Return type | Brief description |
|---|---|---|
| `https://developers.google.com/apps-script/reference/data-studio/user-error#printJson()` | `String` | Prints the JSON representation of this object. |
| `https://developers.google.com/apps-script/reference/data-studio/user-error#setDebugText(String)` | `https://developers.google.com/apps-script/reference/data-studio/user-error` | Sets the text of the debug error, which is only shown to admins. |
| `https://developers.google.com/apps-script/reference/data-studio/user-error#setText(String)` | `https://developers.google.com/apps-script/reference/data-studio/user-error` | Sets the text of the user error. |
| `https://developers.google.com/apps-script/reference/data-studio/user-error#throwException()` | `void` | Triggers this exception to be thrown. |